OGRE: Ogre::GpuProgramParameters::AutoConstantEntry Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::GpuProgramParameters::AutoConstantEntry Class Reference

Structure recording the use of an automatic parameter. More...

`#include <OgreGpuProgram.h>`

List of all members.

## Public Member Functions

| AutoConstantEntry (AutoConstantType theType, size_t theIndex, size_t theData, size_t theElemCount=4)
| AutoConstantEntry (AutoConstantType theType, size_t theIndex, Real theData, size_t theElemCount=4)

## Public Attributes

AutoConstantType | paramType
| The type of parameter.
size_t | physicalIndex
| The target (physical) constant index.
size_t | elementCount
| The number of elements per individual entry in this constant Used in case people used packed elements smaller than 4 (e.g.
size_t | data
Real | fData

## Detailed Description

Structure recording the use of an automatic parameter.

Definition at line 655 of file OgreGpuProgram.h.

## Constructor & Destructor Documentation

Ogre::GpuProgramParameters::AutoConstantEntry::AutoConstantEntry | ( | AutoConstantType | theType,
|  | size_t | theIndex,
|  | size_t | theData,
|  | size_t | theElemCount = `4`
| ) |

| Definition at line 672 of file OgreGpuProgram.h.

Ogre::GpuProgramParameters::AutoConstantEntry::AutoConstantEntry | ( | AutoConstantType | theType,
|  | size_t | theIndex,
|  | Real | theData,
|  | size_t | theElemCount = `4`
| ) |

| Definition at line 676 of file OgreGpuProgram.h.

## Member Data Documentation

size_t Ogre::GpuProgramParameters::AutoConstantEntry::data

| Definition at line 668 of file OgreGpuProgram.h.

size_t Ogre::GpuProgramParameters::AutoConstantEntry::elementCount

| The number of elements per individual entry in this constant Used in case people used packed elements smaller than 4 (e.g. GLSL) and bind an auto which is 4-element packed to it Definition at line 665 of file OgreGpuProgram.h.

Real Ogre::GpuProgramParameters::AutoConstantEntry::fData

| Definition at line 669 of file OgreGpuProgram.h.

AutoConstantType Ogre::GpuProgramParameters::AutoConstantEntry::paramType

| The type of parameter. Definition at line 659 of file OgreGpuProgram.h.

size_t Ogre::GpuProgramParameters::AutoConstantEntry::physicalIndex

| The target (physical) constant index. Definition at line 661 of file OgreGpuProgram.h.

The documentation for this class was generated from the following file:

- OgreGpuProgram.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:46:48 2008